
Foreman - Bug #11066

Error when doing cancel build on non-built server

07/09/2015 08:35 AM - Jon Skarpeteig

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

127.0.0.1 - - [09/Jul/2015 14:12:11] "GET /tftp/serverName HTTP/1.1" 200 28 0.0007

127.0.0.1 - - [09/Jul/2015 14:12:14] "DELETE /tftp/syslinux/00:50:56:bb:75:51 HTTP/1.1" 200 - 0.0007

127.0.0.1 - - [09/Jul/2015 14:12:15] "DELETE /puppet/ca/testmachine HTTP/1.1" 200 - 1.5914

E, [2015-07-09T14:12:20.558479 #32414] ERROR -- : Attempt to remove nonexistant client autosign for testmachine

History

#1 - 07/09/2015 08:40 AM - Dominic Cleal

- Status changed from New to Feedback

This seems normal, it's just attempting to delete an autosign entry which could potentially be on disk if the provision template had been requested.

Unless Foreman's flagging this as an error, the behaviour seems expected.

#2 - 07/09/2015 08:48 AM - Jon Skarpeteig

The problem is that when creating a new host, the autosign stuff isn't added until the PXE boot sequence has triggered. It should be perfectly ok to

cancel a build before the host has PXE booted.

Right now, I'm facing #3034, and I wanted to cancel and re-initiate build - but that is not possible in the current state of the host.

#3 - 07/09/2015 08:50 AM - Dominic Cleal

Sure, so are you saying Foreman is failing to cancel the build?  Could you include some logs from that?  This ticket description isn't really showing the

issue - it simply shows a 200 response from the proxy.

#4 - 07/10/2015 03:39 AM - Jon Skarpeteig

Correct. Cancel build fails from the UI side, with the following log on the server side:

127.0.0.1 - - [09/Jul/2015 14:12:11] "GET /tftp/serverName HTTP/1.1" 200 28 0.0007

127.0.0.1 - - [09/Jul/2015 14:12:14] "DELETE /tftp/syslinux/00:50:56:bb:75:51 HTTP/1.1" 200 - 0.0007

127.0.0.1 - - [09/Jul/2015 14:12:15] "DELETE /puppet/ca/testmachine HTTP/1.1" 200 - 1.5914

E, [2015-07-09T14:12:20.558479 #32414] ERROR -- : Attempt to remove nonexistant client autosign for testmachine

#5 - 07/10/2015 03:39 AM - Dominic Cleal

That's only the smart proxy log - can you provide the Foreman log when cancelling the build?  /var/log/foreman/production.log

#6 - 05/17/2017 10:39 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
